nodes['ovh.icinga2'] = {
    'bundles': {
        'icinga2',
        'php',
        'postgresql',
        'wireguard',
        'zfs',
    },
    'groups': {
        'debian-buster',
        'webserver',
    },
    'metadata': {
        'interfaces': {
            'eth0': {
                'ips': {
                    '51.195.44.8',
                    '2001:41d0:701:1100::2618/128'
                },
                'gateway4': '51.195.44.1',
                'gateway6': '2001:41d0:701:1100::1'
            },
        },
        'apt': {
            'packages': {
                'php-imagick': {},
            },
        },
        'icinga2': {
            'icinga_users': {
                'kunsi',
            },
        },
        'nginx': {
            'vhosts': {
                'icingaweb': {
                    'domain': 'icinga.kunsmann.eu',
                    'webroot': '/usr/share/icingaweb2/public',
                    'extras': True,
                },
            },
        },
        'php': {
            'version': '7.4',
            'packages': {
                'curl',
                'gd',
                'intl',
                'json',
                'ldap',
                'opcache',
                'pgsql',
                'readline',
                'xml',
            },
        },
        'wireguard': {
            'my_ip': '172.19.137.3/32',
            'peers': {
                'ovh.wireguard': {},
            },
        },
        'zfs': {
            'pools': {
                'tank': {
                    'device': '/dev/sdb',
                },
            },
        },
        'vm': {
            'cpu': 1,
            'ram': 2,
        },
    },
}
